- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.AccountsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/accounts/list#try-it)

Retrieves the list of accounts, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-accounts/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/accounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only accounts with these IDs. |
| `searchString` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"account*2015"` will return objects with names like `"account June 2015"`, `"account April 2015"`, or simply `"account 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"account"` will match objects with name `"my account"`, `"account 2015"`, or simply `"account"`. |
| `active` | `boolean` Select only active accounts. Don't set this field to select both active and non-active accounts. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Account accounts.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "accounts": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/accounts#Account`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#accountsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `accounts[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/accounts#Account`)`` Account collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`